Page MenuHomePhabricator

eqiad out of warranty spares to decommission - approval request
Closed, ResolvedPublic

Description

We now have a large number of old, well out of warranty spares in eqiad. The Spares Page on wikitech lists all spares.

I need to append in the warranty expiration date into the page, or create a tracking sheet, so we can determine how many we should decommission. (EQIAD rackspace is at a premium.) As such, the tracking google sheet for all other datacenter specific items (cross connections, transit, waves, and spare hardware) now also tracks spare servers.

Please note any SSD based systems we decommission CANNOT have the SSDs decommissioned/sold with the systems. ALL SSDS must be pulled for our internal datacenter use or destroyed, as they cannot be securely wiped.

Event Timeline

RobH created this task.Dec 7 2015, 5:19 PM
RobH claimed this task.
RobH raised the priority of this task from to Normal.
RobH updated the task description. (Show Details)
RobH added subscribers: RobH, mark, Cmjohnson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2015, 5:19 PM
RobH added a comment.Dec 7 2015, 10:48 PM

The spares page has long been a point of pain. It is difficult to track more than a simple list on wiki, even with the VE improvements to wikitables.

We already have a single google sheet for all Datacenter related spare hardware and cross-connection/transit/wave tracking, so I'll simply add in spares to that document and decommission the use of the spares page on wikitech.

This will allow me to append in data for each spare including sortable data on CPU model, core count, memory, warranty expiry, etc...

This is the SAME google sheet used for tracking other DC related items. https://docs.google.com/a/wikimedia.org/spreadsheets/d/1JhjeV3cXfIzIyekJrnA2nNFFDGTT4SeLmyAFvDa4HmA/edit?usp=sharing

As such, I'll go though and manually add every opsen to the share settings once its fully migrated.

RobH renamed this task from determine which eqiad spares to decommission to migrate spares into google sheet tracking & determine which eqiad spares to decommission.Dec 7 2015, 11:25 PM
RobH updated the task description. (Show Details)
RobH set Security to None.
RobH added a comment.Dec 8 2015, 6:52 PM

@mark just approved the decom of the old squids in eqiad systems. @Cmjohnson will be linking in a task for that shortly.

When these are pulled, the SSDs cannot be securely wiped, so they need to be pulled for destruction. We can decommission and sell the server/chassis/hardware, but NOT the SSDs.

RobH updated the task description. (Show Details)Dec 8 2015, 6:53 PM

tasked to remove is added to Blocked By:

RobH added a comment.Dec 8 2015, 6:54 PM

All of the spares data is now on the google sheet.

RobH reassigned this task from RobH to mark.Dec 17 2015, 6:27 PM

Mark,

I'd like to get your blanket approval for the decommission of a large number of out of warranty EQIAD spares. If you reference https://docs.google.com/a/wikimedia.org/spreadsheets/d/1JhjeV3cXfIzIyekJrnA2nNFFDGTT4SeLmyAFvDa4HmA/edit?usp=sharing on the EQIAD - Server Spares tab, you'll note that there are 30 spares that had their warranty expire in 2014.

With your approval, we would like to go ahead and start decommissioning all of those systems. This would leave us with a single spare that expired in 2015 (up to you if we kill that one off as well), and then we'll have 10 spares left over (we currently would have 12, but two of them are slated for ORES allocation on T119598.)

Please approve/correct/comment/deny and assign back to myself or @Cmjohnson for processing.

Thanks!

RobH renamed this task from migrate spares into google sheet tracking & determine which eqiad spares to decommission to eqiad out of warranty spares to decommission - approval request.Mar 3 2016, 11:03 PM
mark reassigned this task from mark to RobH.May 19 2016, 1:50 PM

Mark,
I'd like to get your blanket approval for the decommission of a large number of out of warranty EQIAD spares. If you reference https://docs.google.com/a/wikimedia.org/spreadsheets/d/1JhjeV3cXfIzIyekJrnA2nNFFDGTT4SeLmyAFvDa4HmA/edit?usp=sharing on the EQIAD - Server Spares tab, you'll note that there are 30 spares that had their warranty expire in 2014.
With your approval, we would like to go ahead and start decommissioning all of those systems. This would leave us with a single spare that expired in 2015 (up to you if we kill that one off as well), and then we'll have 10 spares left over (we currently would have 12, but two of them are slated for ORES allocation on T119598.)
Please approve/correct/comment/deny and assign back to myself or @Cmjohnson for processing.
Thanks!

Yes - nearly 5.5 years old, we won't be reusing these systems for new deployments. Approved.

RobH closed this task as Resolved.Jan 30 2017, 5:13 PM